-- The following is an example of how to get love2d to display a
-- background image, play background audio, and have an animated torch.

local torch_fps = 10
local torch_x = 180
local torch_y = 248
local torch_angle = -30


local torch_anim_timer = 1/ torch_fps
local torch_frame = 1
local torch_num_frames = 5
local torch_first_frame_middle_x = 16
local torch_first_frame_middle_y = 16
local torch_frame_width = 32
local torch_frame_height = 32
local torch_xoffset

function love.load()
    love.graphics.setDefaultFilter("nearest", "nearest")
    backgroundimage = love.graphics.newImage("Dungeon.png")
    backgroundmusic = love.audio.newSource("background.ogg", "stream")
    torch_spritesheet = love.graphics.newImage("Torch_SpriteSheet.png")
    torch_animation = love.graphics.newQuad(torch_first_frame_middle_x, torch_first_frame_middle_y, torch_frame_width, torch_frame_height, torch_spritesheet:getDimensions())
end

function love.update(dt)
    if dt > 0.035 then return end
    torch_anim_timer = torch_anim_timer - dt
    if torch_anim_timer <= 0 then
        torch_anim_timer = 1 / torch_fps
        torch_frame = torch_frame + 1
        if torch_frame > torch_num_frames then torch_frame = 1 end
        torch_xoffset = 32 * torch_frame
        torch_animation:setViewport(torch_xoffset, 0,32,32)
    end
end

function love.draw()
    love.graphics.draw(backgroundimage, 0, 0)
    love.graphics.draw(torch_spritesheet, torch_animation, torch_x, torch_y, math.rad(torch_angle))
    love.audio.play(backgroundmusic)
end
